package com.dragon.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : Administrator
 * @description : 故障码表
 */
@Data
@Builder
@TableName ("trouble_code")
@AllArgsConstructor
@NoArgsConstructor
public class FaultCode {
	
	
	@TableId (type = IdType.AUTO)
	private Integer id;
	private String code;
	private String name;
	private String status;
	
	public FaultCode (String operationKey, String operationValue, String operationStatus) {
		this.code = operationKey;
		this.name = operationValue;
		this.status = operationStatus;
		
	}
}
