package com.dragon.car.domain;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : Administrator
 * @description : 故障通知记录
 */
@Data
@Builder
public class FaultNotifyRecord {
	private Integer id;
	/**
	 * 车辆故障信息  ID
	 */
	private Integer vehicleFaultInfoId;
	/**
	 * 通知时间
	 */
	private LocalDateTime notifyTime;
	/**
	 * 通知类型
	 */
	private Integer notifyType;
	/**
	 * 接收器
	 */
	private String receiver;
}
