package com.dragon.car.config;

import com.dragon.car.utils.LogRecordAspect;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

/**
 * @author : Administrator
 * @Description : 配置类: [{日志AOP},{}]
 */
@Configuration
@EnableAspectJAutoProxy
public class ConfigAspect {
	
	/** 启用切面处理和开启自动代理 */
	
	@Bean
	public LogRecordAspect logRecordAspect () {
		return new LogRecordAspect ();
	}
}
