package com.dragon.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dragon.common.core.annotation.Excel;
import com.dragon.common.core.annotation.Excel.ColumnType;
import lombok.*;

/**
 * @author : Administrator
 * @description : 车辆初始化-实体类
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ToString
@TableName ("car_init")
public class CarInit {
	
	@Excel (name = "参数主键", cellType = ColumnType.NUMERIC)
	//设置为主键自增
	@TableId (type = IdType.AUTO)
	private String carId;
	private String carName;
	private String carFrimId;
	private String carFrimName;
}
