package com.dragon.car.domain;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : Administrator
 * @description : 车辆故障信息
 */
@Data
@Builder
public/*
  指定车辆的故障信息
 */
class VehicleFault {
	private Integer id;  // 故障ID
	private Integer vehicleId;  // 车辆ID
	private Integer faultCodeId;  // 故障代码ID
	private LocalDateTime occurTime;  // 故障发生时间
	private Integer level;  // 故障等级
	private Integer status;  // 故障状态
}
